Transaction

Get

POST
/transaction.get

Request Body

application/jsonRequired
idRequiredstring

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredobject | null

Error response

TypeScript Definitions

Use the response body type in TypeScript.

errorRequiredobject
curl -X POST "/v1/transaction.get" \
  -H "Content-Type: application/json" \
  -d '{
    "id": "string"
  }'
const body = JSON.stringify({
  "id": "string"
})

fetch("/v1/transaction.get", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "/v1/transaction.get"
  body := strings.NewReader(`{
    "id": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "/v1/transaction.get"
body = {
  "id": "string"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "data": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "status": "PENDING",
    "children": [
      {
        "id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "status": "PENDING",
        "currency_in": {
          "value": "string",
          "code": "AUD",
          "decimals": 0,
          "chain": "arbitrum",
          "metadata": "string"
        },
        "currency_out": {
          "value": "string",
          "code": "AUD",
          "decimals": 0,
          "chain": "arbitrum",
          "metadata": "string"
        },
        "external_reference": "string",
        "fees": [
          {
            "type": "direct",
            "value": {
              "value": "string",
              "code": "AUD",
              "decimals": 0,
              "chain": "arbitrum",
              "metadata": "string"
            },
            "label": "string",
            "rate": 0
          }
        ],
        "metadata": {
          "description": "string",
          "payout_reference": "string",
          "price_pair": {
            "marketRate": 0,
            "direction": "bid",
            "tickSize": 0
          },
          "rail": "balance",
          "proof_of_purpose": {
            "url": "string",
            "name": "string"
          }
        },
        "external_reference_type": "CRYPTO_ETHEREUM",
        "external_account_metadata": {
          "type": "AUD",
          "account_name": "string",
          "account_number": "string",
          "nickname": "string",
          "bank": "string",
          "swift_code": "string",
          "bank_name": "string",
          "is_hidden": true,
          "has_transactions": true,
          "national_clearing_code": "string",
          "routing_number": "string",
          "bank_account_type": "checking",
          "bank_code": "string",
          "fps_id": "string",
          "clabe": "string",
          "pix_key": "string"
        },
        "external_account_type": "string",
        "account_metadata": {
          "name": "string"
        }
      }
    ],
    "currency_in": {
      "value": "string",
      "code": "AUD",
      "decimals": 0,
      "chain": "arbitrum",
      "metadata": "string"
    },
    "currency_out": {
      "value": "string",
      "code": "AUD",
      "decimals": 0,
      "chain": "arbitrum",
      "metadata": "string"
    },
    "external_reference": "string",
    "fees": [
      {
        "type": "direct",
        "value": {
          "value": "string",
          "code": "AUD",
          "decimals": 0,
          "chain": "arbitrum",
          "metadata": "string"
        },
        "label": "string",
        "rate": 0
      }
    ],
    "metadata": {
      "description": "string",
      "payout_reference": "string",
      "price_pair": {
        "marketRate": 0,
        "direction": "bid",
        "tickSize": 0
      },
      "rail": "balance",
      "proof_of_purpose": {
        "url": "string",
        "name": "string"
      }
    },
    "external_reference_type": "CRYPTO_ETHEREUM",
    "external_account_metadata": {
      "type": "AUD",
      "account_name": "string",
      "account_number": "string",
      "nickname": "string",
      "bank": "string",
      "swift_code": "string",
      "bank_name": "string",
      "is_hidden": true,
      "has_transactions": true,
      "national_clearing_code": "string",
      "routing_number": "string",
      "bank_account_type": "checking",
      "bank_code": "string",
      "fps_id": "string",
      "clabe": "string",
      "pix_key": "string"
    },
    "external_account_type": "string"
  }
}
{
  "error": {
    "code": "PARSE_ERROR",
    "message": "string"
  }
}